wphooks.info - allow_dev_auto_core_updates

allow_dev_auto_core_updates

(trunk - 5.0-alpha-42177)

The hook occurs in the following file:

wp-admin/includes/class-core-upgrader.php:
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
		if ( $current_is_development_version ) {

			/**
			 * Filters whether to enable automatic core updates for development versions.
			 *
			 * @since 3.7.0
			 *
			 * @param bool $upgrade_dev Whether to enable automatic updates for
			 *                          development versions.
			 */
			if ( ! apply_filters( 'allow_dev_auto_core_updates', $upgrade_dev ) )
				return false;
			// Else fall through to minor + major branches below.
		}

		// 4: Minor In-branch updates (3.7.0 -> 3.7.1 -> 3.7.2 -> 3.7.4)
		if ( $current_branch == $new_branch ) {

			/**
			 * Filters whether to enable minor automatic core updates.